{ config, lib, ... }:

let
  cfg = config.settings.hardware.firewall;
in {
  options = {
    settings.hardware.firewall.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable firewall
      '';
    };
  };

  config = {
    networking.firewall = {
      enable = cfg.enable;
      allowedTCPPorts = [ ];
      allowedUDPPorts = [ ];
    };
  };
}
